Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
Class DefaultGrailsDomainConfiguration

    java.lang.Object
      org.hibernate.cfg.Configuration
          org.codehaus.groovy.grails.orm.hibernate.cfg.DefaultGrailsDomainConfiguration

All Implemented Interfaces:
  Serializable, GrailsDomainConfiguration

    public class DefaultGrailsDomainConfiguration

extends org.hibernate.cfg.Configuration
implements GrailsDomainConfiguration

Creates runtime configuration mapping for the Grails domain classes based on the work done in the Hibernate Annotations project

Since:
  06-Jul-2005
Author:
  Graeme Rocher
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.cfg.Configuration
`auxiliaryDatabaseObjects, classes, collections, columnNameBindingPerTable, extendsQueue, filterDefinitions, imports, namedQueries, namedSqlQueries, namingStrategy, propertyReferences, secondPasses, settingsFactory, sqlFunctions, sqlResultSetMappings, tableNameBinding, tables, typeDefs, xmlHelper`

Constructor Summary
`DefaultGrailsDomainConfiguration()`

Method Summary
`GrailsDomainConfiguration` | `addDomainClass(GrailsDomainClass domainClass)` Adds a domain class to the configuration
`protected void` | `secondPassCompile()` Overrides the default behaviour to including binding of Grails domain classes
`void` | `setGrailsApplication(GrailsApplication application)` Sets the grails application instance

Methods inherited from class org.hibernate.cfg.Configuration
`add, addAuxiliaryDatabaseObject, addCacheableFile, addCacheableFile, addClass, addDirectory, addDocument, addFile, addFile, addFilterDefinition, addInputStream, addJar, addProperties, addResource, addResource, addSqlFunction, addURL, addXML, buildMapping, buildMappings, buildSessionFactory, buildSettings, buildSettings, configure, configure, configure, configure, configure, createMappings, doConfigure, doConfigure, findPossibleExtends, generateDropSchemaScript, generateSchemaCreationScript, generateSchemaUpdateScript, getClassMapping, getClassMappings, getCollectionMapping, getCollectionMappings, getConfigurationInputStream, getEntityNotFoundDelegate, getEntityResolver, getEventListeners, getFilterDefinitions, getImports, getInterceptor, getNamedQueries, getNamedSQLQueries, getNamingStrategy, getProperties, getProperty, getSqlFunctions, getSqlResultSetMappings, getTableMappings, mergeProperties, parseMappingElement, reset, secondPassCompileForeignKeys, setCacheConcurrencyStrategy, setCacheConcurrencyStrategy, setCollectionCacheConcurrencyStrategy, setCollectionCacheConcurrencyStrategy, setEntityNotFoundDelegate, setEntityResolver, setInterceptor, setListener, setListeners, setListeners, setNamingStrategy, setProperties, setProperty, validateSchema`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultGrailsDomainConfiguration

    public DefaultGrailsDomainConfiguration()

Method Detail

### addDomainClass

    public GrailsDomainConfiguration addDomainClass(GrailsDomainClass domainClass)

  Description copied from interface: `GrailsDomainConfiguration`
  Adds a domain class to the configuration

  Specified by:
    `addDomainClass` in interface `GrailsDomainConfiguration`
  Returns:
    this

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication application)

  Description copied from interface: `GrailsDomainConfiguration`
  Sets the grails application instance

  Specified by:
    `setGrailsApplication` in interface `GrailsDomainConfiguration`
  Parameters:
    `application` - The grails application to use or null if none.

### secondPassCompile

    protected void secondPassCompile()
                              throws org.hibernate.MappingException

  Overrides the default behaviour to including binding of Grails domain classes

  Overrides:
    `secondPassCompile` in class `org.hibernate.cfg.Configuration`
  Throws:
    `org.hibernate.MappingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2006 The Grails project